diff --git a/LICENSE b/LICENSE
index 00d2e13..ebe45ab 100644
--- a/LICENSE
+++ b/LICENSE
@@ -1,24 +1,10 @@
-This is free and unencumbered software released into the public domain.
+Permission to use, copy, modify, and/or distribute this software for any
+purpose with or without fee is hereby granted.
 
-Anyone is free to copy, modify, publish, use, compile, sell, or
-distribute this software, either in source code form or as a compiled
-binary, for any purpose, commercial or non-commercial, and by any
-means.
-
-In jurisdictions that recognize copyright laws, the author or authors
-of this software dedicate any and all copyright interest in the
-software to the public domain. We make this dedication for the benefit
-of the public at large and to the detriment of our heirs and
-successors. We intend this dedication to be an overt act of
-relinquishment in perpetuity of all present and future rights to this
-software under copyright law.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
-OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
-ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-OTHER DEALINGS IN THE SOFTWARE.
-
-For more information, please refer to <http://unlicense.org/>
\ No newline at end of file
+THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
+REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
+AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
+INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
+LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
+OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+PERFORMANCE OF THIS SOFTWARE.
\ No newline at end of file
diff --git a/package.json b/package.json
index 9604648..91c37ff 100644
--- a/package.json
+++ b/package.json
@@ -27,7 +27,7 @@
   },
   "repository": "https://git.froth.zone/Sam/fediverse-imagebot",
   "author": "Sam Therapy <sam@samtherapy.net>",
-  "license": "Unlicense",
+  "license": "0BSD",
   "devDependencies": {
     "@types/command-line-args": "5.2.0",
     "@types/command-line-usage": "5.0.2",
diff --git a/src/local.ts b/src/getLocalImage.ts
similarity index 97%
rename from src/local.ts
rename to src/getLocalImage.ts
index a02681d..24d950b 100644
--- a/src/local.ts
+++ b/src/getLocalImage.ts
@@ -4,7 +4,7 @@ import { exit } from "process";
 import args from "./helpers/cli.js";
 import crashHandler from "./helpers/error.js";
 import { config } from "./helpers/types.js";
-import postImage from "./post.js";
+import postImage from "./postImage.js";
 
 /**
  * Get a local image from the filesystem
diff --git a/src/remote.ts b/src/getRemoteImage.ts
similarity index 98%
rename from src/remote.ts
rename to src/getRemoteImage.ts
index 0812b6e..69de25d 100644
--- a/src/remote.ts
+++ b/src/getRemoteImage.ts
@@ -9,7 +9,7 @@ import { exit } from "process";
 import args from "./helpers/cli.js";
 import crashHandler from "./helpers/error.js";
 import { config } from "./helpers/types.js";
-import postImage from "./post.js";
+import postImage from "./postImage.js";
 
 /**
  * Get a remote image from a booru
@@ -44,7 +44,6 @@ export default async function getRemoteImage(conf: config) {
     createWriteStream(filename)
   ).catch((err: Error) => {
     crashHandler("Error saving downloading image.", err);
-    return;
   });
   if (args.verbose) console.log(`Saved image to ${filename}`);
   const str = createReadStream(filename).on("error", (err: Error) => {
diff --git a/src/index.ts b/src/index.ts
index d75238c..d98a928 100644
--- a/src/index.ts
+++ b/src/index.ts
@@ -1,7 +1,7 @@
 import getConfig from "./helpers/config.js";
 import { config } from "./helpers/types.js";
-import getLocalImage from "./local.js";
-import getRemoteImage from "./remote.js";
+import getLocalImage from "./getLocalImage.js";
+import getRemoteImage from "./getRemoteImage.js";
 
 /**
  * Main function
@@ -11,7 +11,6 @@ async function main() {
 
   if (conf.remote) await getRemoteImage(conf);
   else await getLocalImage(conf);
-  return;
 }
 
 // Run the main function, obviously.
diff --git a/src/post.ts b/src/postImage.ts
similarity index 95%
rename from src/post.ts
rename to src/postImage.ts
index fa33683..47a0ed8 100644
--- a/src/post.ts
+++ b/src/postImage.ts
@@ -1,5 +1,4 @@
 import { ReadStream } from "fs";
-// import { Response as http_response } from "got-cjs";
 import generator, { Entity, Response } from "megalodon";
 import { Readable } from "stream";
 import args from "./helpers/cli.js";
@@ -46,5 +45,4 @@ export default async function postImage(
       crashHandler("Error posting status.", err);
     });
   if (args.verbose) console.log(`Successfully posted to ${cfg.instance}`);
-  return;
 }
